Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gtk::Settings Class Reference

A GtkSettings C++ wrapper class. More...

`#include <xfc/gtk/settings.hh>`

Inheritance diagram for Xfc::Gtk::Settings:

List of all members.

## Property Prototypes

- const GtkDoubleClickTimePropertyType gtk_double_click_time_property
    Maximum time allowed between two clicks for them to be considered a double click (see property_gtk_double_click_time()).
- const GtkDoubleClickDistancePropertyType gtk_double_click_distance_property
    Maximum distance allowed between two clicks for them to be considered a double click (see property_gtk_double_click_distance()).
- const GtkCursorBlinkPropertyType gtk_cursor_blink_property
    Whether the cursor should blink (see property_gtk_cursor_blink()).
- const GtkCursorBlinkTimePropertyType gtk_cursor_blink_time_property
    Length of the cursor blink cycle, in milleseconds (see property_gtk_cursor_blink_time()).
- const GtkSplitCursorPropertyType gtk_split_cursor_property
    Whether two cursors should be displayed for mixed left-to-right and right-to-left text (see property_gtk_split_cursor()).
- const GtkThemeNamePropertyType gtk_theme_name_property
    Name of theme RC file to load (see property_gtk_theme_name()).
- const GtkIconThemeNamePropertyType gtk_icon_theme_name_property
    Name of icon theme to use (see property_gtk_icon_theme_name()).
- const GtkKeyThemeNamePropertyType gtk_key_theme_name_property
    Name of key theme RC file to load (see property_gtk_key_theme_name()).
- const GtkMenuBarAccelPropertyType gtk_menu_bar_accel_property
    Keybinding to activate the menu bar (see property_gtk_menu_bar_accel()).
- const GtkDndDragThresholdPropertyType gtk_dnd_drag_threshold_property
    Number of pixels the cursor can move before dragging (see property_gtk_dnd_drag_threshold()).
- const GtkFontNamePropertyType gtk_font_name_property
    Name of default font to use (see property_gtk_font_name()).
- const GtkIconSizesPropertyType gtk_icon_sizes_property
    List of icon sizes (gtk-menu=16,16;gtk-button=20,20...) (see property_gtk_icon_sizes()).
- const GtkModulesPropertyType gtk_modules_property
    List of currently active GTK modules (see property_gtk_modules()).
- const GtkXftAntialiasPropertyType gtk_xft_antialias_property
    Whether to antialias Xft fonts; 0=no, 1=yes, -1=default (see property_gtk_xft_antialias()).
- const GtkXftHintingPropertyType gtk_xft_hinting_property
    Whether to hint Xft fonts; 0=no, 1=yes, -1=default (see property_gtk_xft_hinting()).
- const GtkXftHintStylePropertyType gtk_xft_hintstyle_property
    What degree of hinting to use; none, slight, medium, or full (see property_gtk_xft_hintstyle()).
- const GtkXftRGBAPropertyType gtk_xft_rgba_property
    Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr (see property_gtk_xft_rgba()).
- const GtkXftDPIPropertyType gtk_xft_dpi_property
    Resolution for Xft, in 1024 * dots/inch. -1 to use default value (see property_gtk_xft_dpi()).
- const GtkAlternativeButtonOrderPropertyType gtk_alternative_button_order_property
    Whether buttons in dialogs should use the alternative button order (see property_gtk_alternative_button_order()).

## Public Member Functions

Constructors

- virtual ~Settings ()
    Destructor.

Accessors

- GtkSettings * gtk_settings () const
    Get a pointer to the GtkSettings structure.
- operator GtkSettings * () const
    Conversion operator; safely converts a Settings to a GtkSettings pointer.

Property Proxies

- const GtkDoubleClickTimePropertyProxy property_gtk_double_click_time ()
    Maximum time allowed between two clicks for them to be considered a double click, in milliseconds (int : Read / Write).
- const GtkDoubleClickDistancePropertyProxy property_gtk_double_click_distance ()
    Maximum distance allowed between two clicks for them to be considered a double click, in pixels (int : Read / Write).
- const GtkCursorBlinkPropertyProxy property_gtk_cursor_blink ()
    Whether the cursor should blink (bool : Read / Write).
- const GtkCursorBlinkTimePropertyProxy property_gtk_cursor_blink_time ()
    Length of the cursor blink cycle, in milleseconds (int : Read / Write).
- const GtkSplitCursorPropertyProxy property_gtk_split_cursor ()
    Whether two cursors should be displayed for mixed left-to-right and right-to-left text (bool : Read / Write).
- const GtkThemeNamePropertyProxy property_gtk_theme_name ()
    Name of theme RC file to load (String : Read / Write).
- const GtkIconThemeNamePropertyProxy property_gtk_icon_theme_name ()
    Name of icon theme to use (String : Read / Write).
- const GtkKeyThemeNamePropertyProxy property_gtk_key_theme_name ()
    Name of key theme RC file to load (String : Read / Write).
- const GtkMenuBarAccelPropertyProxy property_gtk_menu_bar_accel ()
    Keybinding to activate the menu bar (String : Read / Write).
- const GtkDndDragThresholdPropertyProxy property_gtk_dnd_drag_threshold ()
    Number of pixels the cursor can move before dragging (int : Read / Write).
- const GtkFontNamePropertyProxy property_gtk_font_name ()
    Name of default font to use (String : Read / Write).
- const GtkIconSizesPropertyProxy property_gtk_icon_sizes ()
    List of icon sizes (gtk-menu=16,16;gtk-button=20,20...) (String : Read / Write).
- const GtkModulesPropertyProxy property_gtk_modules ()
    List of currently active GTK modules (String : Read / Write).
- const GtkXftAntialiasPropertyProxy property_gtk_xft_antialias ()
    Whether to antialias Xft fonts; 0=no, 1=yes, -1=default (int : Read / Write).
- const GtkXftHintingPropertyProxy property_gtk_xft_hinting ()
    Whether to hint Xft fonts; 0=no, 1=yes, -1=default (int : Read / Write).
- const GtkXftHintStylePropertyProxy property_gtk_xft_hintstyle ()
    What degree of hinting to use; none, slight, medium, or full (String : Read / Write).
- const GtkXftRGBAPropertyProxy property_gtk_xft_rgba ()
    Type of subpixel antialiasing; none, rgb, bgr, vrgb, vbgr (String : Read / Write).
- const GtkXftDPIPropertyProxy property_gtk_xft_dpi ()
    Resolution for Xft, in 1024 * dots/inch. -1 to use default value (int : Read / Write).
- const GtkAlternativeButtonOrderPropertyProxy property_gtk_alternative_button_order ()
    Whether buttons in dialogs should use the alternative button order (bool : Read / Write).

## Static Public Member Functions

Accessors

- Settings * get (const Gdk::Screen *screen=0)
    Gets the Settings object for the specified screen, creating it if necessary.

## Protected Member Functions

Constructors

- Settings (GtkSettings *settings, bool owns_reference=true)
    Construct a new Settings from an existing GtkSettings.

## Detailed Description

A GtkSettings C++ wrapper class.

The Settings object holds the current settings for a GDK screen.

## Constructor & Destructor Documentation

Xfc::Gtk::Settings::Settings | ( | GtkSettings * | settings,
|  | bool | owns_reference = `true`
| ) | `[explicit, protected]`

Construct a new Settings from an existing GtkSettings.

Parameters:

  | settings | A pointer to a GtkSettings.
  | owns_reference | Set false if the initial reference count is floating, set true if it's not.

The settings can be a newly created GtkSettings or an existing GtkSettings (see G::Object::Object).

## Member Function Documentation

Settings* Xfc::Gtk::Settings::get | ( | const Gdk::Screen * | screen = `0` | ) | `[static]`

Gets the Settings object for the specified screen, creating it if necessary.

Parameters:

  | screen | A Gdk::Screen, or null for the default screen.

Returns:
  A Settings object.

Note: The default GDK screen is the only screen in the absence of MultiHead support.

The documentation for this class was generated from the following file:

- settings.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3